<mat-grid-list class="login-bg" cols="4" rowHeight="100vh">
  <mat-grid-tile [colspan]="4">
    <mat-card>
      <mat-card-content>
        <div align="center" class="py-4">
          <img src="../../../assets/img/logo-omno-ai.png" width="150px;">
        </div>
        <form class="example-form mt-2" [formGroup]="form">
          <table class="full-width" cellspacing="0">
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Email</mat-label>
                  <input matInput placeholder="Email" formControlName="username" type="email" name="username" required>
                  <mat-icon matSuffix>mail</mat-icon>
                  <mat-error *ngIf="form.get('username').hasError('required')">Email is required.</mat-error>
                  <mat-error *ngIf="form.get('username').hasError('pattern')">Enter a valid email.</mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Password</mat-label>
                  <input matInput placeholder="Password" formControlName="password" type="password" name="password" minlength="6" maxlength="16" required>
                  <mat-icon matSuffix>lock</mat-icon>
                  <mat-error *ngIf="form.get('password').hasError('required')">Password is required</mat-error>
                  <mat-error *ngIf="form.get('password').hasError('minLength')">At least 6 characters are required</mat-error>
                  <mat-error *ngIf="form.get('password').hasError('maxLength')">At max 16 characters are allowed.</mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Phone</mat-label>
                  <input matInput placeholder="Phone" formControlName="contact" type="tel" name="contact" required>
                  <mat-icon matSuffix>phone</mat-icon>
                  <mat-error>Enter valid phone</mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Country</mat-label>
                  <mat-select formControlName="country" name="country">
                    <mat-option *ngFor="let _country of countries" [value]="_country">
                      {{_country}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td colspan="2">
            <div class="p-2">
              <p>By signing up you agree to our <a routerLink="/terms">terms and conditions</a></p>
            </div>
              </td>
            </tr>
            <tr>
              <td colspan="2">
                <div style="padding: 10px 0px;" *ngIf="showLoader">
                  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
                </div>
                <div style="padding: 10px 0px;" *ngIf="showError">
                    <p style="margin:0px; color:darkred;">{{errorMessage}}</p>
                </div>
                <div style="padding: 10px 0px;" *ngIf="showSuccess">
                    <p style="margin:0px; color:darkgreen;">{{successMessage}}</p>
                </div>
                <div align="right">
                    <button mat-raised-button (click)="signup()" color="primary" class="btn-black" [disabled]="form.status=='INVALID'">Sign up</button>
                </div>
              </td>
            </tr>
          </table>
        </form>
      </mat-card-content>
      <mat-card-footer style="margin:0px;">
        <mat-divider></mat-divider>
        <div style="padding:16px 0px;">
            <button mat-button routerLink="/login">Already have an account? Sign in now</button>
        </div>
      </mat-card-footer>
    </mat-card>
  </mat-grid-tile>
</mat-grid-list>